import sys
import re
import subprocess
import yaml
import shutil
from lib import bcolor

bcolors = bcolor.bcolors


with open('./config/config.yaml') as f:
    
    data = yaml.load(f, Loader=yaml.FullLoader)
    hhds = data["global"]["filesystem"]
    for hddNum in range(0, len(hhds)):
        total, used, free = shutil.disk_usage(hhds[hddNum]["hdd"])
        hdd_total = (total // (2**30))
        hdd_used = (used // (2**30))
        hdd_free = (free // (2**30))
        print(bcolors.BOLD + bcolors.HEADER+"⸢-------------------------------------------------------------------------"+bcolors.ENDC+"")
        print(bcolors.BOLD + bcolors.HEADER+"⸠ [FILESYSTEM CHECK]"+bcolors.ENDC+" Filesystem: %s " % hhds[hddNum]["hdd"])
        if hhds[hddNum]["warn"] < hdd_used:
             print(bcolors.BOLD + bcolors.FAIL+"⸠ [FILESYSTEM CHECK]"+bcolors.ENDC+" Free: %d GiB" % hdd_free)
             print(bcolors.BOLD + bcolors.FAIL+"⸠ [FILESYSTEM CHECK]"+bcolors.ENDC+" Used: %d GiB" % hdd_used)
             print(bcolors.BOLD + bcolors.FAIL+"⸤ [FILESYSTEM CHECK]"+bcolors.ENDC+" Total: %d GiB" % hdd_total)
        else:
             print(bcolors.BOLD + bcolors.OKGREEN+"⸠ [FILESYSTEM CHECK]"+bcolors.ENDC+" Free: %d GiB" % hdd_free)
             print(bcolors.BOLD + bcolors.OKGREEN+"⸠ [FILESYSTEM CHECK]"+bcolors.ENDC+" Used: %d GiB" % hdd_used)
             print(bcolors.BOLD + bcolors.OKGREEN+"⸤ [FILESYSTEM CHECK]"+bcolors.ENDC+" Total: %d GiB" % hdd_total)
        

    